std::messages_base(3)

NAME
std::messages_base - std::messages_base

Synopsis
   Defined in header <locale>
   class messages_base;
   The class std::messages_base provides a type definition which is inherited and used
   by the std::messages facets.

Member types
   Member type Definition
   catalog /*unspecified signed integer type*/

Notes
   catalog was erroneously specified as int in C++11, this was corrected in LWG issue
   #2028 and included in C++14

See also
   messages implements retrieval of strings from message catalogs
            (class template)